﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication277.ViewModel
{
   public  class Person:INotifyPropertyChanged
    {
       string name = string.Empty;
       public string Name
       {
           get { return name; }
           set { name = value;
           NotifyPropertyChanged("Name");
           }
       }

       int age = 0;
       public int Age
       {
           get { return age; }
           set { age = value;
           NotifyPropertyChanged("Age");
           }
       }

       bool ischecked = false;
       public bool ISCHECKED
       {
           get { return ischecked; }
           set { ischecked = value;
           NotifyPropertyChanged("ISCHECKED");
           }
       }

       bool expiredcalls = true;
       public bool ExpiredCalls
       {
           get { return expiredcalls; }
           set { expiredcalls = value;
           NotifyPropertyChanged("ExpiredCalls");
           }
                
       }

       string messagestatus = string.Empty;
       public string MessageStatus
       {
           get { return messagestatus; }
           set { messagestatus = value;
           NotifyPropertyChanged("MessageStatus");
           }
       }

       private void NotifyPropertyChanged(String propertyName)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
           }
       }


       #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;

       #endregion
    }
}
